2019-10-14 19:31 (월)
NTP 13개 보안취약점 주의, 보안 업데이트 권고
상태바
NTP 13개 보안취약점 주의, 보안 업데이트 권고
  • 길민권
  • 승인 2015.10.25 16:33
이 기사를 공유합니다

악의적 명령어 실행 등 피해 발생시킬 수 있어 주의
NTP(Network Time Protocol)에서 발생한 원격코드실행 등 총 13개의 취약점을 보완한 보안 업데이트를 발표했다. 이용자들이 신속한 업데이트 적용을 권고한다. NTP는 컴퓨터 시스템의 시간 동기화를 위한 프로토콜을 말한다.
 
공격자는 취약점에 영향 받는 시스템에 악의적인 명령어 실행 등의 피해를 발생시킬 수 있어 주의해야 한다.
 
다음은 13개 보안취약점이다.
-cryto-NAK을 통해 인증을 우회하는 취약점(CVE-2015-7871)
-decodenetnum()함수에서 위조된 값에 대해 FAIL 반환하는 대신 오류 값을 발생하는 취약점(CVE-2015-7855)
-패스워드 길이 처리하는 과정에서 발생하는 메모리 손상 취약점(CVE-2015-7854)
-refclock 드라이버에서 부적절한 데이터 길이로 인해 발생하는 버퍼오버플로우 취약점(CVE-2015-7853)
-ntpq atoascii()함수에서 발생하는 메모리 손상 취약점(CVE-2015-7852)
-saveconfig에서 발생하는 디렉토리 접근 취약점(CVE-2015-7851)
-NTP의 원격 구성 기능에서 발생하는 DoS 취약점(CVE-2015-7850)
-tursed key에서 발생하는 use-after-free 취약점(CVE-2015-7849)
-조작된 패킷에 의해 7 loop counter를 처리할 때, 발생할 수 있는 Out-Of-Bounds 취약점(CVE-2015-7848)
-CRYPTO-ASSOC에서 발생하는 메모리 손상 취약점(CVE-2015-7701)
-"pidfile"과 "driftfile"만 허용 가능한 디렉토리 접근 취약점(CVE-2015-7703)
-timestamp 유효성 검사를 하는 클라이언트에서 발생할 수 있는 DoS 취약점(CVE-2015-7704, CVE-2015-7705)
-autokey 데이터 패킷 길이 체크 시 발생하는 취약점(CVE-2015-7691, CVE-2015-7692, CVE-2015-7702)
 
NTP 4.2.8p4 이전 버전은 위 보안취약점에 영향을 받기 때문에 신속히 업데이트를 진행해야 한다.해당 취약점에 영향받는 사용자는 아래 공식 업데이트 사이트에 방문해 NTP 4.2.8p4버전으로 보안 업데이트를 적용하면 된다.
-support.ntp.org/bin/view/Main/SoftwareDownloads
 
★정보보안 대표 미디어 데일리시큐!★
 
<데일리시큐 장성협 기자> mkgil@dailysecu.com